[Android] build: handle ANDROID ABI/NDK in one place
Thomas Guillem
git at videolan.org
Tue May 14 16:47:24 CEST 2019
vlc-android | branch: master | Thomas Guillem <thomas at gllm.fr> | Mon May 13 14:31:28 2019 +0200| [b0505fee09272dd1061621a1b888f78a4f588668] | committer: Thomas Guillem
build: handle ANDROID ABI/NDK in one place
And remove aggressive "Die, die, die!" log.
> https://code.videolan.org/videolan/vlc-android/commit/b0505fee09272dd1061621a1b888f78a4f588668
---
compile-libvlc.sh | 8 ++++++--
compile-medialibrary.sh | 14 --------------
2 files changed, 6 insertions(+), 16 deletions(-)
diff --git a/compile-libvlc.sh b/compile-libvlc.sh
index 305aa4c63..b2eac72e5 100755
--- a/compile-libvlc.sh
+++ b/compile-libvlc.sh
@@ -63,8 +63,12 @@ elif [ "${ANDROID_ABI}" = "armeabi-v7a" ] ; then
HAVE_ARM=1
PLATFORM_SHORT_ARCH="arm"
else
- echo "Unknown ABI: '${ANDROID_ABI}'. Die, die, die!"
- exit 2
+ echo "Please pass the ANDROID ABI to the correct architecture, using
+ compile-libvlc.sh -a ARCH
+ ARM: (armeabi-v7a|arm)
+ ARM64: (arm64-v8a|arm64)
+ X86: x86, x86_64"
+ exit 1
fi
# try to detect NDK version
diff --git a/compile-medialibrary.sh b/compile-medialibrary.sh
index 17d6037cc..ec07c8bb9 100755
--- a/compile-medialibrary.sh
+++ b/compile-medialibrary.sh
@@ -25,20 +25,6 @@ while [ $# -gt 0 ]; do
shift
done
-if [ -z "$ANDROID_NDK" ]; then
- echo "Please set the ANDROID_NDK environment variable with its path."
- exit 1
-fi
-
-if [ -z "$ANDROID_ABI" ]; then
- echo "Please pass the ANDROID ABI to the correct architecture, using
- compile-libvlc.sh -a ARCH
- ARM: (armeabi-v7a|arm)
- ARM64: (arm64-v8a|arm64)
- X86: x86, x86_64"
- exit 1
-fi
-
AVLC_SOURCED=1 . ./compile-libvlc.sh
avlc_make_toolchain
More information about the Android
mailing list